Functions
Data Access
Peripheral Driver » LL Driver » GPIO » Functions

## Functions
__STATIC_INLINE uint32_t | ll_gpio_read_input_port (gpio_regs_t *GPIOx)
| Return full input data register value for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_gpio_is_input_pin_set (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Return if input data level for several pins of dedicated port is high or low. More...
__STATIC_INLINE void | ll_gpio_write_output_port (gpio_regs_t *GPIOx, uint32_t port_value)
| Write output data register for the port. More...
__STATIC_INLINE uint32_t | ll_gpio_read_output_port (gpio_regs_t *GPIOx)
| Return full output data register value for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_gpio_is_output_pin_set (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Return if input data level for several pins of dedicated port is high or low. More...
__STATIC_INLINE void | ll_gpio_set_output_pin (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Set several pins to high level on dedicated gpio port. More...
__STATIC_INLINE void | ll_gpio_reset_output_pin (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Set several pins to low level on dedicated gpio port. More...
__STATIC_INLINE void | ll_gpio_toggle_pin (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Toggle data value for several pin of dedicated port. More...

## Detailed Description

## Function Documentation

## ◆ ll_gpio_is_input_pin_set()

__STATIC_INLINE uint32_t ll_gpio_is_input_pin_set | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Return if input data level for several pins of dedicated port is high or low.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA | DATA | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO Port
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 690 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_is_output_pin_set()

__STATIC_INLINE uint32_t ll_gpio_is_output_pin_set | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Return if input data level for several pins of dedicated port is high or low.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATAOUT | DATAOUT | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO Port
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 766 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_read_input_port()

__STATIC_INLINE uint32_t ll_gpio_read_input_port | ( | gpio_regs_t * | GPIOx | ) |

Return full input data register value for a dedicated port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATA | DATA | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO Port

Return values

  Input | data register value of port

Definition at line 653 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_read_output_port()

__STATIC_INLINE uint32_t ll_gpio_read_output_port | ( | gpio_regs_t * | GPIOx | ) |

Return full output data register value for a dedicated port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATAOUT | DATAOUT | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO Port

Return values

  Output | data register value of port

Definition at line 729 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_reset_output_pin()

__STATIC_INLINE void ll_gpio_reset_output_pin | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Set several pins to low level on dedicated gpio port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATAOUT | DATAOUT | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO Port
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 846 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_set_output_pin()

__STATIC_INLINE void ll_gpio_set_output_pin | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Set several pins to high level on dedicated gpio port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATAOUT | DATAOUT | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO Port
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 803 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_toggle_pin()

__STATIC_INLINE void ll_gpio_toggle_pin | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Toggle data value for several pin of dedicated port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATAOUT | DATAOUT | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO Port
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 888 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_write_output_port()

__STATIC_INLINE void ll_gpio_write_output_port | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | port_value
| ) |  |

Write output data register for the port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DATAOUT | DATAOUT | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO Port
  port_value | Level value for each pin of the port

Return values

  None |

Definition at line 710 of file gr55xx_ll_gpio.h.